Skip to main content
GET
/
orgs
/
{orgId}
/
audit-logs
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/orgs/{orgId}/audit-logs \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "orgId": "<string>",
      "actorId": "<string>",
      "action": "<string>",
      "resourceType": "<string>",
      "resourceId": "<string>",
      "ipAddress": "<string>",
      "userAgent": "<string>",
      "metadata": {},
      "createdAt": "<string>"
    }
  ],
  "nextCursor": "<string>",
  "totalCount": 123
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

orgId
string
required

Organization identifier

Query Parameters

actorId
string

Filter by actor identifier

actorType
enum<string>

Filter by actor type

Available options:
API_KEY,
USER,
SYSTEM,
AGENT
action
string

Filter by action

resourceType
string

Filter by resource type

resourceId
string

Filter by resource identifier

result
enum<string>

Filter by result

Available options:
SUCCESS,
FAILURE,
DENIED
startDate
string

ISO 8601 start date filter

endDate
string

ISO 8601 end date filter

cursor
string

Pagination cursor

limit
integer
default:20

Maximum number of entries to return

Required range: 1 <= x <= 100

Response

200 - application/json

OK

Paginated list of audit log entries

items
object[]
required

List of audit log entries

nextCursor
string | null
required

Cursor for the next page, null if no more results

totalCount
integer
required

Total number of entries matching the filters